body {
    font-family: 'Roboto Mono', monospace;
    overflow: hidden;
}


.menu{
    width: 50px;
    z-index: 4000;
    position: absolute;
    right: 35px;
    bottom: 40px;
}
.menu:hover {
    transform: scale(1.25)
}


a {
    color: white;
    cursor: pointer;
    text-decoration: none;
}
a:hover {
    color: blue;
}

.container2 {
    background-image: url('../img/vapor.jpg') !important;
}

.container {
    display: flex;
    justify-content: center;
    flex-wrap: wrap;
    align-items: baseline;
    margin-left: -9px;
    position: absolute;
    width: 101%;
    height: 100%;
    top: 0;
    bottom: 0;
    background-image: url('../img/background.png');
    background-size: cover;


    @media only screen and (max-width: 600px) {
        flex-flow: column wrap;
    }

    .flexItem {
        flex-grow: 1;
        flex-basis: 25%;
        margin-left: 7rem;
        margin-top: 2rem;
    }


    .item {
        position: absolute;
        z-index: 3;
        cursor: pointer;

        
        img {
            max-width: 300px;
            max-height: 300px;

            @media only screen and (max-width: 600px) {
                max-width: 150px;
                max-height: 150px;
            }

        }
    }

    .draggableItem, .slideItem {
        cursor: grab;
    }



}
//----------------game coins

.coin {
	position: absolute;
    padding: 5rem;
	z-index: 2;
   
    .words {
        color: #40e0d0;
        font-size: 2rem;
        cursor: pointer;
    }
    .words:hover {
        transform: scale(1.5);
    }
}

//----------------------------------------------------------------------- progress bar + start button

button {
    border: none;
    background:none;
}


.buttonIntro{
    position: absolute;
    top: 0;
    padding: 140px 250px;
    z-index: 444;
    height: 100%;
    width: 100%;
    background: magenta;
    color: whitesmoke;
    font-size: 4rem;
    opacity: 0;
    cursor: pointer;
}
//----------------------------------------------levels page
main {

    .container {
        background: rgb(8,0,143);
        background: linear-gradient(354deg, rgba(8,0,143,1) 16%, rgba(131,50,247,1) 100%);
        text-align: center;
    }

    .flexItem {
        padding-top: 14%;
        margin-left: 0rem !important;
    }

    .gameVignette {
        width: 350px;
        -webkit-box-shadow: 11px 11px 26px -1px rgba(0,8,31,1);
        -moz-box-shadow: 11px 11px 26px -1px rgba(0,8,31,1);
        box-shadow: 11px 11px 26px -1px rgba(0,8,31,1);
    }

    .gameVignette:hover {
        transform: scale(1.25);
    }

    h1 {
        position: absolute;
        width: 100%;
        color: #08008f;
        z-index: 3;
        text-align: center;
        font-weight: 100;
        font-size: 1.2rem;
        top: 2rem;
    }

    h2 {
        color: whitesmoke;
        line-height: 0.5rem;
        margin-top: 3rem;
    }

    h3 {
        font-weight: 100;
        color: rgb(154, 46, 255);
    }
}

.blocked {
    opacity: 0.25;
}
.blocked:hover {
    transform: scale(1)!important;
}

//--------------------------------------------------------STORY TELLING
.pirateStory {
    .container {
        background-image: url(../img/space_bg.jpg);
    }

    .rocket {
        max-width: 8rem;
    }

    .gui-container {
        position: absolute;
        z-index: 3;
    }
}

.gui-ship {
    position: absolute;
    width: 100%;
    height: 100%;
}

#quest {
    max-width: 45%;
    position: absolute;
    color: white;
    font-size: 2rem;
    margin-left: 25%;
    margin-top: 5%;
    z-index: 4;
    background-color: blueviolet;
    border-radius: 1rem;
    padding: 3rem;
    opacity: 0;


}

.giveQuest {
    bottom: 3rem;
    right: 3rem;
    position: absolute;
    z-index: 5;
    cursor: pointer;

    img {
        width: 6rem;
    }

}
.howButton {
    position: absolute;
    font-size: 4rem;
    background-color: transparent!important;
    padding: 1rem 2rem;
    border-radius: 30%;
    margin-left: 25% !important;
    z-index: 6;
    font-weight: 800;
    margin-top: 25%;
    opacity: 0;


}
.goButton {
    position: absolute;
    font-size: 4rem;
    background-color: magenta;
    padding: 1rem 2rem;
    border-radius: 20%;
    margin-left: 45%;
    z-index: 6;
    font-weight: 800;
    margin-top: 25%;
    opacity: 0;

    a {
        text-decoration: none;
        color: white;
    }
}
.goButton:hover {
    transform: scale(1.25);
}

.levelsbutton {
    line-height: 35rem;
}

.story:hover {
    transform: scale(1.25);
}
//----------------------------------------------------------------- dahsboard

.dash2 {
    background-color: violet!important;
}

.dashboard {
    position: absolute;
    bottom: 0;
    width: 90%;
    margin-left: 2.5rem;
    margin-bottom: 1.5rem;
    height: 5rem;
    background-color: blue;
    opacity: 0.8;
    border-radius: 0.6rem;
    z-index: 15;
    -webkit-box-shadow: 10px 10px 19px 0px rgba(0,0,0,0.75);
    -moz-box-shadow: 10px 10px 19px 0px rgba(0,0,0,0.75);
    box-shadow: 10px 10px 19px 0px rgba(0,0,0,0.75);

    .gui {
        position: absolute;
        padding: 3rem 5rem;
        width: 100%;
        
        p {
            opacity: 0;
            display: inline;
            padding-top: 2rem;
            color: white;
        }
        .word1, .word2, .word3, .word4, .word5, .word6 {
            width: 1rem;
            height: 1rem;
            color: transparent;
            border-bottom: 1px solid magenta;
            position: absolute;
        }


        .goodjob {
            position: absolute;
            margin-left: 20rem;
            margin-top: -1.5rem;
            color: magenta;
            display: none;

        }

        .answer {
            display: inline;
            margin-left: 37rem;
            font-size: 0.75rem;
            color: white;


            }

            .input {
                position: absolute;
                right: 0;
                margin-right: 17rem;
                margin-top: -1.5rem;

                input[type=Text] {
                    color: white;
                    font-family: 'Roboto Mono', monospace;
                    width: 15.5rem;
                    background: rgb(0, 0, 205);
                    border: none;
                    padding: 5px;

                }

                .ok {
                    position: absolute;
                    right: 0;
                    margin-right: -4.8rem;
                    margin-top: -1.52rem;
                    border: 1px solid white;
                    border-radius: 0.2rem;
                    padding: 0.2rem 01rem;
                    cursor: pointer;
                    color: white;
                }
                .ok:hover {
                    color: magenta;
                    border: 1px solid magenta;
                    cursor: pointer;
                    
                }
            }
        }
    }


//---------------------------------------------------PROGRESSIVE BARRE
    .mainDiv{
        position: absolute;
        bottom: -180px;
        left: 50%;
        transform: translate(-50%, -50%);
        width: 100%;
        height: 165px;

        .progressDiv{
            width: 95%;
            height: 25px;
            margin-left: 2.5rem;
            background: rgb(0, 0, 205);

            .progress{
                width: 0%;
                height: 25px;
                background: magenta;
            }
        }
    }



//-------------------------------------------objects

.hidingItem {
    width: 15rem;
    height: 15rem;
    border-radius: 50%;
    background: rgb(4,0,250);
    background: radial-gradient(circle, rgba(4,0,250,1) 0%, rgba(248,0,255,1) 69%); 
}


.hidingItem2 {
    width: 15rem;
    height: 15rem;
    border-radius: 50%;
    background: rgb(248,0,255);
    background: radial-gradient(circle, rgba(248,0,255,1) 0%, rgba(4,0,250,1) 89%); 
}
.hidingItem3 {
    width: 23rem;
    height: 23rem;
    border-radius: 3rem;
    background: rgb(58,255,15);
    background: linear-gradient(90deg, rgba(58,255,15,1) 0%, rgba(0,212,255,1) 100%);
    -webkit-box-shadow: 10px 10px 82px -25px rgba(0,0,0,0.75);
-moz-box-shadow: 10px 10px 82px -25px rgba(0,0,0,0.75);
box-shadow: 10px 10px 82px -25px rgba(0,0,0,0.75);
text-align: center;
line-height: 20rem;


}



    //-------------------------------------------------end game
    .youWin {
        width: 100%;
        height: 100%;
        background-color: turquoise;
        position: absolute;
        opacity: 0.9;
        left: 0;
        top: 0;
        z-index: 2003;
        display: none;
        text-align: center;

        .title {
            font-size: 20rem;
            margin-bottom: 4rem;
            margin-top: 10rem;
        }

        p {
            color: magenta;
        }

        a {
            font-size: 2rem;
            z-index: 2006;
            position: absolute;
            margin-left: -8rem
        }
    }
    .youDie {
        width: 100%;
        height: 100%;
        background-color: rgb(255, 6, 201);
        opacity: 0.5;
        position: absolute;
        left: 0;
        top: 0;
        z-index: 1003;
        text-align: center;
        font-size: 20rem;
        display: none;

        p {
            margin-top: 10rem;
        }

        .countdown3, .countdown2, .countdown1 {
            display: none;
        }
        .countdown2, .countdown1 {
            margin-top: -1rem;
        }
    }

    .gameover {
        width: 100%;
        height: 100%;
        background-color: black;
        opacity: 0.9;
        position: absolute;
        color: magenta;
        left: 0;
        top: 0;
        z-index: 2000;
        text-align: center;
        font-size: 15rem;
        display: none;

        a {
            color: white;
            font-size: 2rem;
        }
        a:hover {
            color: blue;
        }

        .title {
            margin-bottom: -20rem;
            margin-top: 10rem;
        }
    }

    .flexItemtest {
        flex-basis: 45%;
    }

    .itemtest {
        position: absolute;
        z-index: 3;
        cursor: pointer;
        margin-top: 15%;
        margin-left: 20%;
    }


    .word {
        padding: 5rem;
        color: turquoise;
        font-size: 2rem;
        text-align: center;
        z-index: 1;
    }
    .word:hover {
        transform: scale(1.5);
    }

    .step {
        position: absolute;
        color: blue;
        font-size: 1.5rem;
        z-index: 3;
        margin-top: 18rem;
        margin-left: 24rem;
    }

    .stepTwo {
        opacity: 0;
        margin-top: 14rem;
        margin-left: 15rem;
    }

    .stepBravo {
        opacity: 0;
        margin-top: 5rem;
        margin-left: 5rem;
    }
    .stepWordDisplay {
        opacity: 0;
        margin-top: 5rem;
        margin-left: 5rem;
        color: blueviolet;
    }

    .stepThree {
        opacity: 0;
        margin-left: 65rem;
    }

    .stepWordDisplay2 {
        opacity: 0;
        margin-top: 8rem;
        margin-left: 5rem;
        color: blueviolet;
    }
    .stepFour {
        opacity: 0;
        margin-left: 46rem;
        margin-top: 14rem;
    }

    .endStep {
        height: 30%;
        width: 30%;
        font-size: 5rem;
        opacity: 0.5;
        color: magenta;
        margin-left: 35rem;
        margin-top:6rem;
        display: none;
        line-height: 60rem;
        text-align: center;
    }

    .stepLink {
        height: 100%;
        width: 100%;
        font-size: 5rem;
        background-color: magenta;
        opacity: 0.5;
        color: white;
        margin-left: 0rem;
        margin-top:-1rem;
        display: none;
        line-height: 55rem;
        text-align: center;
        z-index: 1003;
    }

    .goButtonTest {
        position: absolute;
        font-size: 4rem;
        background-color: blue;
        padding: 1rem 2rem;
        border-radius: 20%;
        margin-left: 45%;
        z-index: 6;
        font-weight: 800;
        margin-top: 30%;
        z-index: 4500;
        display: none;
    
        a {
            text-decoration: none;
            color: white;
        }
    }
    .goButtonTest:hover {
        transform: scale(1.25);
    }

    #confetti {
        position: absolute;
        height: 100%;
        margin-left: -40% !important;
        top: 0;
    }